Reservation Recommendations - List
Daftar rekomendasi untuk membeli instans yang dipesan.
GET https://management.azure.com/{resourceScope}/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01
GET https://management.azure.com/{resourceScope}/providers/Microsoft.Consumption/reservationRecommendations?$filter={$filter}&api-version=2021-10-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
|
Cakupan yang terkait dengan operasi rekomendasi reservasi. Ini termasuk '/subscriptions/{subscriptionId}/' untuk cakupan langganan, '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}' untuk cakupan grup sumber daya, '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}' untuk cakupan BillingAccount, dan '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/billingProfiles/{billingProfileId}' untuk cakupan billingProfile |
|
api-version
|
query | True |
|
Versi API yang akan digunakan dengan permintaan klien. Versi saat ini adalah 2021-10-01. |
|
$filter
|
query |
|
Dapat digunakan untuk memfilter reservationRecommendations menurut: properties/scope dengan nilai yang diizinkan ['Single', 'Shared'] dan nilai default 'Single'; properties/resourceType dengan nilai yang diizinkan ['VirtualMachines', 'SQLDatabases', 'PostgreSQL', 'ManagedDisk', 'MySQL', 'RedHat', 'MariaDB', 'RedisCache', 'CosmosDB', 'SqlDataWarehouse', 'SUSELinux', 'AppService', 'BlockBlob', 'AzureDataExplorer', 'VMwareCloudSimple'] dan nilai default 'VirtualMachines'; dan properti/lookBackPeriod dengan nilai yang diizinkan ['Last7Days', 'Last30Days', 'Last60Days'] dan nilai default 'Last7Days'. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. Permintaan telah berhasil. |
|
| 204 No Content |
Respons kosong dikirim ketika tidak ada rekomendasi. |
|
| Other Status Codes |
Respons kesalahan yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
ReservationRecommendationsByBillingAccount-Legacy
Sample Request
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01
Sample Response
{
"value": [
{
"id": "billingAccount/123456/providers/Microsoft.Consumption/reservationRecommendations/00000000-0000-0000-0000-000000000000",
"name": "00000000-0000-0000-0000-000000000000",
"type": "Microsoft.Consumption/reservationRecommendations",
"location": "westus",
"sku": "Standard_DS1_v2",
"kind": "legacy",
"properties": {
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P1Y",
"costWithNoReservedInstances": 12.0785105,
"recommendedQuantity": 1,
"totalCostWithReservedInstances": 11.4899644807748,
"netSavings": 0.588546019225182,
"firstUsageDate": "2019-07-07T00:00:00-07:00",
"scope": "Shared",
"lookBackPeriod": "Last7Days",
"instanceFlexibilityRatio": 1,
"instanceFlexibilityGroup": "DSv2 Series",
"normalizedSize": "Standard_DS1_v2",
"recommendedQuantityNormalized": 1,
"skuProperties": [
{
"name": "Cores",
"value": "1"
},
{
"name": "Ram",
"value": "1"
}
]
}
},
{
"id": "billingAccount/123456/providers/Microsoft.Consumption/reservationRecommendations/00000000-0000-0000-0000-000000000000",
"name": "00000000-0000-0000-0000-000000000000",
"type": "Microsoft.Consumption/reservationRecommendations",
"location": "westus",
"sku": "Standard_DS1_v2",
"kind": "legacy",
"properties": {
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P1Y",
"costWithNoReservedInstances": 10.0785105,
"recommendedQuantity": 1,
"totalCostWithReservedInstances": 13.48,
"netSavings": 0.68,
"firstUsageDate": "2019-07-07T00:00:00-07:00",
"scope": "Shared",
"lookBackPeriod": "Last7Days",
"instanceFlexibilityRatio": 1,
"instanceFlexibilityGroup": "DSv2 Series",
"normalizedSize": "Standard_DS1",
"recommendedQuantityNormalized": 1.2,
"skuProperties": [
{
"name": "SkuDisplayName",
"value": "B"
},
{
"name": "CPU",
"value": "1"
}
]
}
}
],
"nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01&$skiptoken=AQAAAA%3D%3D&"
}
ReservationRecommendationsByBillingProfile-Modern
Sample Request
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/billingProfiles/6420/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01
Sample Response
{
"value": [
{
"id": "/providers/Microsoft.Billing/billingAccounts/123456/billingProfiles/6420/providers/Microsoft.Consumption/reservationRecommendations/00000000-0000-0000-0000-000000000000",
"name": "00000000-0000-0000-0000-000000000000",
"type": "Microsoft.Consumption/reservationRecommendations",
"location": "westus",
"sku": "Standard_DS1_v2",
"kind": "modern",
"properties": {
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P1Y",
"costWithNoReservedInstances": {
"currency": "USD",
"value": 1.4749000882
},
"recommendedQuantity": 1,
"totalCostWithReservedInstances": {
"currency": "USD",
"value": 1.07665757024628
},
"netSavings": {
"currency": "USD",
"value": 0.39824251795372
},
"firstUsageDate": "2019-07-07T00:00:00-07:00",
"scope": "Shared",
"lookBackPeriod": 7,
"instanceFlexibilityRatio": 1,
"instanceFlexibilityGroup": "DSv2 Series",
"normalizedSize": "Standard_DS1_v2",
"recommendedQuantityNormalized": 1,
"skuProperties": [
{
"name": "Cores",
"value": "1"
},
{
"name": "Ram",
"value": "1"
}
]
}
},
{
"id": "/providers/Microsoft.Billing/billingAccounts/123456/billingProfiles/6420/providers/Microsoft.Consumption/reservationRecommendations/00000000-0000-0000-0000-000000000000",
"name": "00000000-0000-0000-0000-000000000000",
"type": "Microsoft.Consumption/reservationRecommendations",
"location": "westus",
"sku": "Standard_DS1_v2",
"kind": "modern",
"properties": {
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P1Y",
"costWithNoReservedInstances": {
"currency": "USD",
"value": 1.4896
},
"recommendedQuantity": 1,
"totalCostWithReservedInstances": {
"currency": "USD",
"value": 1.08265753424628
},
"netSavings": {
"currency": "USD",
"value": 0.40694246575372
},
"firstUsageDate": "2019-07-07T00:00:00-07:00",
"scope": "Shared",
"lookBackPeriod": 7,
"instanceFlexibilityRatio": 1,
"instanceFlexibilityGroup": "DSv2 Series",
"normalizedSize": "Standard_DS1",
"recommendedQuantityNormalized": 1.2,
"skuProperties": [
{
"name": "SkuDisplayName",
"value": "B"
},
{
"name": "CPU",
"value": "1"
}
]
}
}
],
"nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01&$skiptoken=AQAAAA%3D%3D&"
}
ReservationRecommendationsByResourceGroup-Legacy
Sample Request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testGroup/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01
Sample Response
{
"value": [
{
"id": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGrouups/testGroup/providers/Microsoft.Consumption/reservationRecommendations/reservationRecommendations1",
"name": "reservationRecommendations1",
"type": "Microsoft.Consumption/reservationRecommendations",
"sku": "Standard_DS1_v2",
"location": "northeurope",
"kind": "legacy",
"properties": {
"lookBackPeriod": "Last7Days",
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P1Y",
"costWithNoReservedInstances": 0,
"recommendedQuantity": 1,
"totalCostWithReservedInstances": 0,
"netSavings": 4.634521202630137,
"firstUsageDate": "2018-03-06T00:00:00Z",
"scope": "Single",
"subscriptionId": "00000000-0000-0000-0000-000000000000"
}
},
{
"id": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testGroup/providers/Microsoft.Consumption/reservationRecommendations/reservationRecommendations2",
"name": "reservationRecommendations2",
"type": "Microsoft.Consumption/reservationRecommendations",
"sku": "Standard_DS1_v2",
"location": "northeurope",
"kind": "legacy",
"properties": {
"lookBackPeriod": "Last7Days",
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P3Y",
"costWithNoReservedInstances": 0,
"recommendedQuantity": 1,
"totalCostWithReservedInstances": 0,
"netSavings": 7.289315723178081,
"firstUsageDate": "2018-03-06T00:00:00Z",
"scope": "Single",
"subscriptionId": "00000000-0000-0000-0000-000000000000"
}
}
],
"nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testGroup/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01&$skiptoken=AQAAAA%3D%3D&"
}
ReservationRecommendationsBySubscription-Legacy
Sample Request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01
Sample Response
{
"value": [
{
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations/reservationRecommendations1",
"name": "reservationRecommendations1",
"type": "Microsoft.Consumption/reservationRecommendations",
"sku": "Standard_DS1_v2",
"location": "northeurope",
"kind": "legacy",
"properties": {
"lookBackPeriod": "Last7Days",
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P1Y",
"costWithNoReservedInstances": 0,
"recommendedQuantity": 1,
"totalCostWithReservedInstances": 0,
"netSavings": 4.634521202630137,
"firstUsageDate": "2018-03-06T00:00:00Z",
"scope": "Single",
"subscriptionId": "00000000-0000-0000-0000-000000000000"
}
},
{
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations/reservationRecommendations2",
"name": "reservationRecommendations2",
"type": "Microsoft.Consumption/reservationRecommendations",
"sku": "Standard_DS1_v2",
"location": "northeurope",
"kind": "legacy",
"properties": {
"lookBackPeriod": "Last7Days",
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P3Y",
"costWithNoReservedInstances": 0,
"recommendedQuantity": 1,
"totalCostWithReservedInstances": 0,
"netSavings": 7.289315723178081,
"firstUsageDate": "2018-03-06T00:00:00Z",
"scope": "Single",
"subscriptionId": "00000000-0000-0000-0000-000000000000"
}
}
],
"nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01&$skiptoken=AQAAAA%3D%3D&"
}
ReservationRecommendationsFilterBySubscriptionForScopeLookBackPeriod-Legacy
Sample Request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations?$filter=properties/scope eq 'Single' AND properties/lookBackPeriod eq 'Last7Days'&api-version=2021-10-01
Sample Response
{
"value": [
{
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations/reservationRecommendations1",
"name": "reservationRecommendations1",
"type": "Microsoft.Consumption/reservationRecommendations",
"sku": "Standard_DS1_v2",
"location": "northeurope",
"kind": "legacy",
"properties": {
"lookBackPeriod": "Last7Days",
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P1Y",
"costWithNoReservedInstances": 0,
"recommendedQuantity": 1,
"totalCostWithReservedInstances": 0,
"netSavings": 4.634521202630137,
"firstUsageDate": "2018-03-06T00:00:00Z",
"scope": "Single",
"skuProperties": [
{
"name": "Cores",
"value": "1"
},
{
"name": "Ram",
"value": "1"
}
],
"subscriptionId": "00000000-0000-0000-0000-000000000000"
}
},
{
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations/reservationRecommendations2",
"name": "reservationRecommendations2",
"type": "Microsoft.Consumption/reservationRecommendations",
"sku": "Standard_DS1_v2",
"location": "northeurope",
"kind": "legacy",
"properties": {
"lookBackPeriod": "Last7Days",
"meterId": "00000000-0000-0000-0000-000000000000",
"term": "P3Y",
"costWithNoReservedInstances": 0,
"recommendedQuantity": 1,
"totalCostWithReservedInstances": 0,
"netSavings": 7.289315723178081,
"firstUsageDate": "2018-03-06T00:00:00Z",
"scope": "Single",
"skuProperties": [
{
"name": "SkuDisplayName",
"value": "B"
},
{
"name": "CPU",
"value": "1"
}
],
"subscriptionId": "00000000-0000-0000-0000-000000000000"
}
}
],
"nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Consumption/reservationRecommendations?api-version=2021-10-01&$filter=properties/scope+eq+'Single'+AND+properties/lookBackPeriod+eq+'Last7Days'&$skiptoken=AQAAAA%3D%3D&"
}
Definisi
| amount |
Jumlah ditambah mata uang . |
|
Error |
Detail kesalahan. |
|
Error |
Respons kesalahan menunjukkan bahwa layanan tidak dapat memproses permintaan masuk. Alasannya disediakan dalam pesan kesalahan. Beberapa respons Kesalahan:
|
|
Legacy |
Rekomendasi reservasi warisan. |
|
Modern |
Rekomendasi reservasi modern. |
|
Reservation |
Hasil daftar rekomendasi reservasi. |
|
Sku |
Properti Sku |
amount
Jumlah ditambah mata uang .
| Name | Type | Description |
|---|---|---|
| currency |
|
Jumlah mata uang. |
| value |
|
Jumlah. |
ErrorDetails
Detail kesalahan.
| Name | Type | Description |
|---|---|---|
| code |
|
Kode Kesalahan. |
| message |
|
Pesan kesalahan yang menunjukkan mengapa operasi gagal. |
ErrorResponse
Respons kesalahan menunjukkan bahwa layanan tidak dapat memproses permintaan masuk. Alasannya disediakan dalam pesan kesalahan.
Beberapa respons Kesalahan:
429 TooManyRequests - Permintaan dibatasi. Coba lagi setelah menunggu waktu yang ditentukan di header "x-ms-ratelimit-microsoft.consumption-retry-after".
503 ServiceUnavailable - Layanan untuk sementara tidak tersedia. Coba lagi setelah menunggu selama waktu yang ditentukan di header "Coba Lagi Setelah".
| Name | Type | Description |
|---|---|---|
| error |
Detail kesalahan. |
LegacyReservationRecommendation
Rekomendasi reservasi warisan.
| Name | Type | Description |
|---|---|---|
| etag |
|
Etag untuk sumber daya. |
| id |
|
ID ARM lengkap yang memenuhi syarat dari suatu peristiwa. |
| kind |
string:
|
Menentukan jenis rekomendasi reservasi. |
| location |
|
Lokasi sumber daya |
| name |
|
ID yang secara unik mengidentifikasi peristiwa. |
| properties.costWithNoReservedInstances |
|
Jumlah total biaya tanpa instans yang dipesan. |
| properties.firstUsageDate |
|
Tanggal penggunaan untuk melihat ke belakang. |
| properties.instanceFlexibilityGroup |
|
Grup Fleksibilitas instans. |
| properties.instanceFlexibilityRatio |
|
Rasio Fleksibilitas instans. |
| properties.lookBackPeriod |
|
Jumlah hari penggunaan untuk melihat kembali rekomendasi. |
| properties.meterId |
|
Id meter (GUID) |
| properties.netSavings |
|
Total estimasi penghematan dengan instans yang dipesan. |
| properties.normalizedSize |
|
Ukuran yang dinormalisasi. |
| properties.recommendedQuantity |
|
Kualitas yang direkomendasikan untuk instans yang dipesan. |
| properties.recommendedQuantityNormalized |
|
Kuantitas yang direkomendasikan Dinormalisasi. |
| properties.resourceType |
|
Jenis sumber daya azure. |
| properties.scope |
|
Rekomendasi bersama atau tunggal. |
| properties.skuProperties |
Daftar properti sku |
|
| properties.term |
|
rekomendasi RI dalam satu atau tiga tahun. |
| properties.totalCostWithReservedInstances |
|
Jumlah total biaya dengan instans yang dipesan. |
| sku |
|
Sku sumber daya |
| tags |
|
Tag sumber daya. |
| type |
|
Jenis sumber daya |
ModernReservationRecommendation
Rekomendasi reservasi modern.
| Name | Type | Description |
|---|---|---|
| etag |
|
Etag untuk sumber daya. |
| id |
|
ID ARM lengkap yang memenuhi syarat dari suatu peristiwa. |
| kind |
string:
|
Menentukan jenis rekomendasi reservasi. |
| location |
|
Lokasi sumber daya |
| name |
|
ID yang secara unik mengidentifikasi peristiwa. |
| properties.costWithNoReservedInstances |
Jumlah total biaya tanpa instans yang dipesan. |
|
| properties.firstUsageDate |
|
Tanggal penggunaan untuk melihat ke belakang. |
| properties.instanceFlexibilityGroup |
|
Grup Fleksibilitas instans. |
| properties.instanceFlexibilityRatio |
|
Rasio Fleksibilitas instans. |
| properties.location |
|
Lokasi Sumber Daya. |
| properties.lookBackPeriod |
|
Jumlah hari penggunaan untuk melihat kembali rekomendasi. |
| properties.meterId |
|
Id meter (GUID) |
| properties.netSavings |
Total estimasi penghematan dengan instans yang dipesan. |
|
| properties.normalizedSize |
|
Ukuran yang dinormalisasi. |
| properties.recommendedQuantity |
|
Kualitas yang direkomendasikan untuk instans yang dipesan. |
| properties.recommendedQuantityNormalized |
|
Kuantitas yang direkomendasikan Dinormalisasi. |
| properties.scope |
|
Rekomendasi bersama atau tunggal. |
| properties.skuName |
|
Ini adalah nama ARM Sku. |
| properties.skuProperties |
Daftar properti sku |
|
| properties.term |
|
rekomendasi RI dalam satu atau tiga tahun. |
| properties.totalCostWithReservedInstances |
Jumlah total biaya dengan instans yang dipesan. |
|
| sku |
|
Sku sumber daya |
| tags |
|
Tag sumber daya. |
| type |
|
Jenis sumber daya |
ReservationRecommendationsListResult
Hasil daftar rekomendasi reservasi.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
Tautan (url) ke halaman hasil berikutnya. |
| previousLink |
|
Tautan (url) ke halaman hasil sebelumnya. |
| value | ReservationRecommendation[]: |
Daftar rekomendasi reservasi. |
SkuProperty
Properti Sku
| Name | Type | Description |
|---|---|---|
| name |
|
Nama properti sku. |
| value |
|
Nilai properti sku. |